<?php include '../../../common/view/header.html.php';?>
<script language='javascript'>
$(document).ready(function()
{
    setTimeout(function(){fixedTheadOfList('#stroyBugsList')}, 100);
});

function selectProduct(productID)
{
    link = createLink('report', 'storylinkedbug', 'productID=' + productID);
    location.href=link;
}

function selectModule(moduleID)
{
    link = createLink('report', 'storylinkedbug', 'productID=<?php echo $productID;?>&moduleID=' + moduleID);
    location.href=link;
}
</script>
<div id='titlebar'>
  <div class='heading'>
    <span class='prefix'><?php echo html::icon($lang->icons['report-file']);?></span>
    <strong> <?php echo $title;?></strong>
  </div>
</div>
<div class='side'>
  <?php include '../../view/blockreportlist.html.php';?>
</div>
<div class='main'>
  <div class='row' style='margin-bottom:5px;'>
    <div class='col-sm-4'>
      <div class='input-group'>
        <span class='input-group-addon'><?php echo $lang->report->product;?></span>
        <?php echo html::select('product', $products, $productID, 'onchange="selectProduct(this.value);" class="form-control chosen"')?>
      </div>
    </div>
    <?php if($moduleID):?>
    <div class='col-sm-4'>
      <div class='input-group'>
        <span class='input-group-addon'><?php echo $lang->report->module;?></span>
        <?php echo html::select('module' , $modules,  $moduleID,  'onchange="selectModule(this.value);"  class="form-control chosen"')?>
      </div>
    </div>
    <?php endif;?>
  </div>
  <table class='table table-condensed table-striped table-bordered tablesorter table-fixed active-disabled' id="stroyBugsList">
    <thead>
      <tr class='colhead'>
        <th class="w-250px"><?php echo $lang->report->bug->story;?></th>
        <th><?php echo $lang->report->bug->title;?></th>
        <th class="w-120px"><?php echo $lang->report->bug->status;?></th>
        <th class="w-120px"><?php echo $lang->report->bug->total;?></th>
      </tr>
    </thead>
    <?php if($stories):?>
    <tbody>
      <?php foreach($stories as $story):?>
      <?php if(!empty($story['bugList'])):?>
      <?php foreach($story['bugList'] as $key => $bug):?>
      <tr class="text-center">
        <?php if($story['total'] < 2 || ($story['total'] > 1 && !$key)):?>
        <td <?php if(!$key && $story['total'] > 1) echo 'rowspan="' . $story['total'] . '"';?>><?php echo $story['title'];?></td>
        <?php endif;?>

        <td><?php echo $bug->title;?></td>
        <td><?php echo $lang->bug->statusList[$bug->status];?></td>

        <?php if($story['total'] < 2 || ($story['total'] > 1 && !$key)):?>
        <td <?php if(!$key && $story['total'] > 1) echo 'rowspan="' . $story['total'] . '"';?>><?php echo $story['total'];?></td>
        <?php endif;?>
      </tr>
      <?php endforeach;?>
      <?php endif;?>
      <?php endforeach;?>
    </tbody>
    <?php endif;?>
  </table> 
</div>
<?php include '../../../common/view/footer.html.php';?>
